al_get_haptic_gain(3)

NAME

al_get_haptic_gain - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    double al_get_haptic_gain(ALLEGRO_HAPTIC *hap)

DESCRIPTION

Returns the current gain of the device. Gain is much like volume for sound, it is as if every effect's intensity is multiplied by it. Gain is a value between 0.0 and 1.0. Only works correctly if al_get_haptic_capabilities(3) returns a value that has ALLEGRO_HAPTIC_GAIN(3)ALLEGRO_HAPTIC_CONSTANTS(3) set. If this is not set, this function will simply return 1.0 and all effects will be played without any gain influence.

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.